ROS Resources: Documentation | Support | Discussion Forum | Index | Service Status | ros @ Robotics Stack Exchange
Ask Your Question
0

Unable to build grid_map because can't find pcl_ros [closed]

asked 2022-09-01 08:23:50 -0600

pgarcia-dev gravatar image

updated 2022-09-01 23:36:15 -0600

ravijoshi gravatar image

Hello,

I’m trying to install grid_map on Foxy but I’m having a problem following the installation instructions, exactly in the dependencies installation step.

When I execute:

mkdir -p ~/gridmap_dep/src
cd ~/gridmap_dep
wget https://raw.githubusercontent.com/ANYbotics/grid_map/ros2/tools/ros2_dependencies.repos;
vcs import src < ros2_dependencies.repos
rosdep install -y --ignore-src --from-paths src
colcon build --symlink-install --packages-up-to pcl_ros

I’m getting:

colcon build --symlink-install --packages-up-to pcl_ros
Package 'pcl_ros' specified with --packages-up-to was not found

And before that:

rosdep install -y --ignore-src --from-paths src
All required rosdeps installed successfully

The content of src/ is:

ls src/
ros-planning

I tried building pcl_ros from sources but other errors raise.

I also tried installing navigation2 from its Debian package, but then I couldn't build grid map.

I'm on Ubuntu Focal 20.04 and ROS Foxy

Do you know if I am missing something? Thanks

edit retag flag offensive reopen merge delete

Closed for the following reason the question is answered, right answer was accepted by pgarcia-dev
close date 2022-09-06 13:45:38.417360

2 Answers

Sort by » oldest newest most voted
0

answered 2022-09-06 13:26:36 -0600

pgarcia-dev gravatar image

updated 2022-09-06 13:28:46 -0600

I Created an issue on the repository (https://github.com/ANYbotics/grid_map) And they told me To work in branch foxy-devel instead of in the ros2 one. Now the packages build correctly and I can run the demos 👌

edit flag offensive delete link more
0

answered 2022-09-01 21:25:28 -0600

ravijoshi gravatar image

Please install pcl_ros from apt by executing the following command:

sudo apt install ros-foxy-pcl-ros

BTW, I think this package should be installed automatically if you choose ros-foxy-desktop. Nevermind.

edit flag offensive delete link more

Comments

thanks for your response. Indeed pcl_ros is already installed:

ros2 pkg list | grep pcl_ros
pcl_ros

assuming this dependency is correct, and following the instructions in link text

if I build grid_map, I get:

error: ‘to_yaml’ is not a member of ‘geometry_msgs::msg’
  278 |       geometry_msgs::msg::to_yaml(occupancyGrid.info.origin.orientation).c_str());

and

error: ‘StorageOptions’ is not a member of ‘rosbag2_storage’
  672 |   rosbag2_storage::StorageOptions storage_options;

Do you think these errors appear because I skipped the pcl_ros dependency build?

pgarcia-dev gravatar image pgarcia-dev  ( 2022-09-02 05:27:20 -0600 )edit

Something is certainly wrong with the grid_map repository. In order to assist you better, I tried to install it on my PC, but no success. It throws the same error.

$ colcon build --symlink-install --packages-up-to pcl_ros
Package 'pcl_ros' specified with --packages-up-to was not found
ravijoshi gravatar image ravijoshi  ( 2022-09-03 03:23:07 -0600 )edit

You should create an issue in their GitHub page and share this discussion. Probably the codebase in not up to date!

ravijoshi gravatar image ravijoshi  ( 2022-09-03 03:24:41 -0600 )edit
1

Thank you very much for your support. I will create the issue right now 👌

pgarcia-dev gravatar image pgarcia-dev  ( 2022-09-03 08:10:10 -0600 )edit

Question Tools

1 follower

Stats

Asked: 2022-09-01 07:53:54 -0600

Seen: 349 times

Last updated: Sep 06 '22